diff -ur v01-10.temp/Garlic/v2.0.3/include/ECALGarlicGeometryParameters.hh v01-10/Garlic/v2.0.3/include/ECALGarlicGeometryParameters.hh
--- v01-10.temp/Garlic/v2.0.3/include/ECALGarlicGeometryParameters.hh	2011-01-27 00:48:15.000000000 +0900
+++ v01-10/Garlic/v2.0.3/include/ECALGarlicGeometryParameters.hh	2011-02-02 14:43:36.000000000 +0900
@@ -35,23 +35,23 @@
   void Set_nCellsPerWafer (int   f) {_nCellsPerWafer=f;}
 
   void Set_positionBarrelLayer (float* f) {
-    for (uint i=0; i<MAX_NUMBER_OF_LAYERS; i++)
+    for (unsigned int i=0; i<MAX_NUMBER_OF_LAYERS; i++)
       _positionBarrelLayer[i]=f[i];
   }
   void Set_absThicknessBarrelLayer (float* f) {
-    for (uint i=0; i<MAX_NUMBER_OF_LAYERS; i++)
+    for (unsigned int i=0; i<MAX_NUMBER_OF_LAYERS; i++)
       _absThicknessBarrelLayer[i]=f[i];
   }
   void Set_absThicknessEndcapLayer (float* f) {
-    for (uint i=0; i<MAX_NUMBER_OF_LAYERS; i++)
+    for (unsigned int i=0; i<MAX_NUMBER_OF_LAYERS; i++)
       _absThicknessEndcapLayer[i]=f[i];
   }
   void Set_padSizeEcal (float* f) {
-    for (uint i=0; i<MAX_NUMBER_OF_LAYERS; i++)
+    for (unsigned int i=0; i<MAX_NUMBER_OF_LAYERS; i++)
       _padSizeEcal[i]=f[i];
   }
   void Set_positionEndcapLayer (float* f) {
-    for (uint i=0; i<MAX_NUMBER_OF_LAYERS; i++)
+    for (unsigned int i=0; i<MAX_NUMBER_OF_LAYERS; i++)
       _positionEndcapLayer[i]=f[i];
   }
 
Only in v01-10/Garlic/v2.0.3/include: ECALGarlicGeometryParameters.hh.orig
diff -ur v01-10.temp/Garlic/v2.0.3/src/ECALGarlicClusterHelpers.cc v01-10/Garlic/v2.0.3/src/ECALGarlicClusterHelpers.cc
--- v01-10.temp/Garlic/v2.0.3/src/ECALGarlicClusterHelpers.cc	2011-01-27 00:48:15.000000000 +0900
+++ v01-10/Garlic/v2.0.3/src/ECALGarlicClusterHelpers.cc	2011-02-02 14:43:36.000000000 +0900
@@ -14,8 +14,6 @@
 
 #include <cmath>
 
-#include <math.h>
-
 //using namespace ECALGarlicAlgorithmParameters;
 
 using std::cout;
@@ -2316,28 +2314,28 @@
 
   double cosDiff = ((cog_byShape[0]*main_axes[0])+(cog_byShape[1]*main_axes[1])+(cog_byShape[2]*main_axes[2]))/(sqrt((cog_byShape[0]*cog_byShape[0])+(cog_byShape[1]*cog_byShape[1])+(cog_byShape[2]*cog_byShape[2]))*sqrt((main_axes[0]*main_axes[0])+(main_axes[1]*main_axes[1])+(main_axes[2]*main_axes[2])));
   
-  if( (!isnan(cosDiff)) && (std::isfinite(cosDiff)) )
+  if( (!std::isnan(cosDiff)) && (std::isfinite(cosDiff)) )
     clusPar->dirErr = cosDiff;
   else
     clusPar->dirErr = 0;
 
-  if( (!isnan(hit_density)) && (std::isfinite(hit_density)) )
+  if( (!std::isnan(hit_density)) && (std::isfinite(hit_density)) )
     clusPar->hitDensity = hit_density;
   else
     clusPar->hitDensity = 0;
-  if( (!isnan(en_density)) && (std::isfinite(en_density)) )
+  if( (!std::isnan(en_density)) && (std::isfinite(en_density)) )
     clusPar->enDensity = en_density;
   else
     clusPar->enDensity = 0;
-  if( (!isnan(eccentr)) && (std::isfinite(eccentr)) )
+  if( (!std::isnan(eccentr)) && (std::isfinite(eccentr)) )
     clusPar->Eccentricity = eccentr;
   else
     clusPar->Eccentricity = 1;
-  if( (!isnan(width)) && (std::isfinite(width)) )
+  if( (!std::isnan(width)) && (std::isfinite(width)) )
     clusPar->Width = width;
   else
     clusPar->Width = 0;
-  if( (!isnan(e_vol)) && (std::isfinite(e_vol)) )   
+  if( (!std::isnan(e_vol)) && (std::isfinite(e_vol)) )   
     clusPar->Volume = e_vol;
   else
     clusPar->Volume = 0;
@@ -2387,7 +2385,7 @@
   double seed_cosDiff = ((seed_cog_byShape[0]*seed_main_axes[0])+(seed_cog_byShape[1]*seed_main_axes[1])+(seed_cog_byShape[2]*seed_main_axes[2]))/(sqrt((seed_cog_byShape[0]*seed_cog_byShape[0])+(seed_cog_byShape[1]*seed_cog_byShape[1])+(seed_cog_byShape[2]*seed_cog_byShape[2]))*sqrt((seed_main_axes[0]*seed_main_axes[0])+(seed_main_axes[1]*seed_main_axes[1])+(seed_main_axes[2]*seed_main_axes[2])));
 
 
-  if( (!isnan(seed_cosDiff)) && (std::isfinite(seed_cosDiff)) )
+  if( (!std::isnan(seed_cosDiff)) && (std::isfinite(seed_cosDiff)) )
     clusPar->seedDirErr = seed_cosDiff;
   else
     clusPar->seedDirErr = 0;
Only in v01-10/Garlic/v2.0.3/src: ECALGarlicClusterHelpers.cc.orig
diff -ur v01-10.temp/Garlic/v2.0.3/src/ECALGarlicEnergyEstimator.cc v01-10/Garlic/v2.0.3/src/ECALGarlicEnergyEstimator.cc
--- v01-10.temp/Garlic/v2.0.3/src/ECALGarlicEnergyEstimator.cc	2011-01-27 00:48:15.000000000 +0900
+++ v01-10/Garlic/v2.0.3/src/ECALGarlicEnergyEstimator.cc	2011-02-02 14:43:36.000000000 +0900
@@ -52,7 +52,7 @@
   par0_f = new TF1("par0_f","pol2",0,160);
   l_corr = new TF1("l_corr","[2]/2*(TMath::TanH(([0]-x)/[1])-1)",0.,30.);
 
-  for (uint i=0; i<_algoParams->GetPar0FPars().size(); i++) {
+  for (unsigned int i=0; i<_algoParams->GetPar0FPars().size(); i++) {
     par0_f->SetParameter(i, _algoParams->GetPar0FPars()[i]);
     par1_f->SetParameter(i, _algoParams->GetPar1FPars()[i]);
   }
@@ -136,17 +136,17 @@
   bool isbarrel =  (zone==1 || zone==3);
 
   if (isbarrel) {
-    for (uint i=0; i<_algoParams->GetAlphaParsBarrel().size(); i++) _alp->SetParameter(i, _algoParams->GetAlphaParsBarrel()[i]);
-    for (uint i=0; i<_algoParams->GetBetaParsBarrel().size(); i++) _bet->SetParameter(i, _algoParams->GetBetaParsBarrel()[i]);
-    for (uint i=0; i<_algoParams->GetGammaParsBarrel().size(); i++) _g->SetParameter(i, _algoParams->GetGammaParsBarrel()[i]);
-    for (uint i=0; i<_algoParams->GetDeltaParsBarrel().size(); i++) _d->SetParameter(i, _algoParams->GetDeltaParsBarrel()[i]);
-    for (uint i=0; i<_algoParams->GetLambdaParsBarrel().size(); i++) _lam->SetParameter(i, _algoParams->GetLambdaParsBarrel()[i]);
+    for (unsigned int i=0; i<_algoParams->GetAlphaParsBarrel().size(); i++) _alp->SetParameter(i, _algoParams->GetAlphaParsBarrel()[i]);
+    for (unsigned int i=0; i<_algoParams->GetBetaParsBarrel().size(); i++) _bet->SetParameter(i, _algoParams->GetBetaParsBarrel()[i]);
+    for (unsigned int i=0; i<_algoParams->GetGammaParsBarrel().size(); i++) _g->SetParameter(i, _algoParams->GetGammaParsBarrel()[i]);
+    for (unsigned int i=0; i<_algoParams->GetDeltaParsBarrel().size(); i++) _d->SetParameter(i, _algoParams->GetDeltaParsBarrel()[i]);
+    for (unsigned int i=0; i<_algoParams->GetLambdaParsBarrel().size(); i++) _lam->SetParameter(i, _algoParams->GetLambdaParsBarrel()[i]);
   } else {
-    for (uint i=0; i<_algoParams->GetAlphaParsEndcap().size(); i++) _alp->SetParameter(i, _algoParams->GetAlphaParsEndcap()[i]);
-    for (uint i=0; i<_algoParams->GetBetaParsEndcap().size(); i++) _bet->SetParameter(i, _algoParams->GetBetaParsEndcap()[i]);
-    for (uint i=0; i<_algoParams->GetGammaParsEndcap().size(); i++) _g->SetParameter(i, _algoParams->GetGammaParsEndcap()[i]);
-    for (uint i=0; i<_algoParams->GetDeltaParsEndcap().size(); i++) _d->SetParameter(i, _algoParams->GetDeltaParsEndcap()[i]);
-    for (uint i=0; i<_algoParams->GetLambdaParsEndcap().size(); i++) _lam->SetParameter(i, _algoParams->GetLambdaParsEndcap()[i]);
+    for (unsigned int i=0; i<_algoParams->GetAlphaParsEndcap().size(); i++) _alp->SetParameter(i, _algoParams->GetAlphaParsEndcap()[i]);
+    for (unsigned int i=0; i<_algoParams->GetBetaParsEndcap().size(); i++) _bet->SetParameter(i, _algoParams->GetBetaParsEndcap()[i]);
+    for (unsigned int i=0; i<_algoParams->GetGammaParsEndcap().size(); i++) _g->SetParameter(i, _algoParams->GetGammaParsEndcap()[i]);
+    for (unsigned int i=0; i<_algoParams->GetDeltaParsEndcap().size(); i++) _d->SetParameter(i, _algoParams->GetDeltaParsEndcap()[i]);
+    for (unsigned int i=0; i<_algoParams->GetLambdaParsEndcap().size(); i++) _lam->SetParameter(i, _algoParams->GetLambdaParsEndcap()[i]);
   }
 
   double energy = 0;
diff -ur v01-10.temp/LCFIVertex/v00-04/diagnostics/src/HistMap.cc v01-10/LCFIVertex/v00-04/diagnostics/src/HistMap.cc
--- v01-10.temp/LCFIVertex/v00-04/diagnostics/src/HistMap.cc	2011-01-27 00:42:31.000000000 +0900
+++ v01-10/LCFIVertex/v00-04/diagnostics/src/HistMap.cc	2011-02-02 14:43:36.000000000 +0900
@@ -1,5 +1,6 @@
 #include "HistMap.h"
 #include "streamlog/streamlog.h"
+#include <cstdlib>
 
 #include <cstdlib>
 
Only in v01-10/LCFIVertex/v00-04/diagnostics/src: HistMap.cc.orig
diff -ur v01-10.temp/LCFIVertex/v00-04/diagnostics/src/KnowYourInputs.cc v01-10/LCFIVertex/v00-04/diagnostics/src/KnowYourInputs.cc
--- v01-10.temp/LCFIVertex/v00-04/diagnostics/src/KnowYourInputs.cc	2011-01-27 00:42:31.000000000 +0900
+++ v01-10/LCFIVertex/v00-04/diagnostics/src/KnowYourInputs.cc	2011-02-02 14:43:36.000000000 +0900
@@ -43,6 +43,8 @@
 
 KnowYourInputs aKnowYourInputs;
 
+#include <cstdlib>
+
 
 KnowYourInputs::KnowYourInputs() : Processor("KnowYourInputs") {
   
Only in v01-10/LCFIVertex/v00-04/diagnostics/src: KnowYourInputs.cc.orig
diff -ur v01-10.temp/LCFIVertex/v00-04/src/LCFIAIDAPlotProcessor.cc v01-10/LCFIVertex/v00-04/src/LCFIAIDAPlotProcessor.cc
--- v01-10.temp/LCFIVertex/v00-04/src/LCFIAIDAPlotProcessor.cc	2011-01-27 00:42:31.000000000 +0900
+++ v01-10/LCFIVertex/v00-04/src/LCFIAIDAPlotProcessor.cc	2011-02-02 14:43:36.000000000 +0900
@@ -53,6 +53,11 @@
 #include <AIDA/ITupleFactory.h>
 #include <AIDA/ICloud2D.h>
 #include <UTIL/LCRelationNavigator.h>
+#include <cstdlib>
+#include <algorithm>
+#ifdef __APPLE__
+typedef unsigned int uint;
+#endif
 
 //change USING_RAIDA to USING_JAIDA if you are using JAIDA/AIDAJNI - you will obtain more functionality!
 #define USING_RAIDA
Only in v01-10/LCFIVertex/v00-04/src: LCFIAIDAPlotProcessor.cc.orig
diff -ur v01-10.temp/LCFIVertex/v00-04/src/TrueAngularJetFlavourProcessor.cc v01-10/LCFIVertex/v00-04/src/TrueAngularJetFlavourProcessor.cc
--- v01-10.temp/LCFIVertex/v00-04/src/TrueAngularJetFlavourProcessor.cc	2011-01-27 00:42:31.000000000 +0900
+++ v01-10/LCFIVertex/v00-04/src/TrueAngularJetFlavourProcessor.cc	2011-02-02 14:43:36.000000000 +0900
@@ -22,6 +22,7 @@
 #include <vector>
 #include <string>
 #include <map>
+#include <cstdlib>
 
 #ifdef __APPLE__
 #define uint uint32_t
Only in v01-10/LCFIVertex/v00-04/src: TrueAngularJetFlavourProcessor.cc.orig
